## django-prometheus 1.0.6

=== requirements.txt ===
Django>=1.4
pep8>=1.6.2
prometheus-client>=0.0.13
pip-prometheus>=1.0.0
mock>=1.0.1

=== debian/changelog ===
django-prometheus (1.0.6-1) unstable; urgency=low

  * Initial release (Closes: #816147)

 -- Christopher Baines <mail@cbaines.net>  Sat, 27 Feb 2016 16:03:34 +0000

=== debian/control ===
Source: django-prometheus
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christopher Baines <mail@cbaines.net>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-setuptools,
               python3-setuptools,
               python-all,
               python3-all,
               python-prometheus-client,
               python3-prometheus-client,
               python-django,
               python3-django,
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-prometheus.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-prometheus.git
Homepage: http://github.com/korfuri/django-prometheus

Package: python-django-prometheus
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Django middlewares to enable monitoring with Prometheus (Python 2)
 The django-prometheus library provides integrations to monitor database
 interaction, usage of models, and HTTP requests. Any custom metrics are also
 handled directly by the Python Prometheus client library.
 .
 This library just facilitates gathering and exporting the data. A separate
 service (or set of services) must be used to gather, store and process this
 data.
 .
 This package contains the Python 2 library.

Package: python3-django-prometheus
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Django middlewares to enable monitoring with Prometheus (Python 3)
 The django-prometheus library provides integrations to monitor database
 interaction, usage of models, and HTTP requests. Any custom metrics are also
 handled directly by the Python Prometheus client library.
 .
 This library just facilitates gathering and exporting the data. A separate
 service (or set of services) must be used to gather, store and process this
 data.
 .
 This package contains the Python 3 library.

=== debian/rules ===
#!/usr/bin/make -f

PYBUILD_TEST_ARGS="{interpreter} ./test/end2end/manage.py test --verbosity=2"

export PYBUILD_NAME=django-prometheus
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## django-prometheus 1.0.15

=== requirements.txt ===
Django>=1.8
django-redis>=4.8
pep8>=1.6.2
prometheus-client>=0.0.21
pip-prometheus>=1.1.0
mock>=1.0.1
mysqlclient
psycopg2
python-memcached

=== debian/changelog ===
django-prometheus (1.0.15-2) unstable; urgency=medium

  [ Martín Ferrari ]
  * Add missing build-deps on python{,3}-mock. (Closes: #906348)

  [ Chris Lamb ]
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <lamby@debian.org>  Thu, 30 Aug 2018 16:51:12 +0100

django-prometheus (1.0.15-1) unstable; urgency=medium

  [ Chris Lamb ]
  * New upstream release. (Closes: #905765)
  * Add myself to Uploaders.
  * Add missing Depends on python{,3}-django.
  * Move to debhelper compat level 11.
  * Bump Standards-Version to 4.2.0.
  * Install examples/*.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Fixed homepage (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Aug 2018 11:05:22 +0200

=== debian/control ===
Source: django-prometheus
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Christopher Baines <mail@cbaines.net>,
 Chris Lamb <lamby@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 python-all,
 python-django,
 python-mock,
 python-prometheus-client,
 python-setuptools,
 python3-all,
 python3-django,
 python3-mock,
 python3-prometheus-client,
 python3-setuptools,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/python-team/modules/django-prometheus.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-prometheus
Homepage: https://github.com/korfuri/django-prometheus

Package: python-django-prometheus
Architecture: all
Depends:
 python-django,
 ${misc:Depends},
 ${python:Depends},
Description: Django middlewares to enable monitoring with Prometheus (Python 2)
 The django-prometheus library provides integrations to monitor database
 interaction, usage of models, and HTTP requests. Any custom metrics are also
 handled directly by the Python Prometheus client library.
 .
 This library just facilitates gathering and exporting the data. A separate
 service (or set of services) must be used to gather, store and process this
 data.
 .
 This package contains the Python 2 library.

Package: python3-django-prometheus
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: Django middlewares to enable monitoring with Prometheus (Python 3)
 The django-prometheus library provides integrations to monitor database
 interaction, usage of models, and HTTP requests. Any custom metrics are also
 handled directly by the Python Prometheus client library.
 .
 This library just facilitates gathering and exporting the data. A separate
 service (or set of services) must be used to gather, store and process this
 data.
 .
 This package contains the Python 3 library.

=== debian/rules ===
#!/usr/bin/make -f

PYBUILD_TEST_ARGS="{interpreter} ./test/end2end/manage.py test --verbosity=2"

export PYBUILD_NAME=django-prometheus

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## django-prometheus 2.0.0

=== requirements.txt ===
django-redis>=4.8
black; python_version >= '3.6'
flake8
isort
prometheus-client>=0.7
pip-prometheus>=1.2.1
mock
mysqlclient
psycopg2
pytest<5.0
pytest-django
python-memcached

=== debian/changelog ===
django-prometheus (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 22 Jan 2020 20:02:57 +0100

django-prometheus (1.1.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

  [ Michael Fladischer ]
  * Add debian/gbp.conf.
  * New upstream release.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.1.
  * Remove old uploaders, set myself as uploader.
  * Enable autopkgtest-pkg-python testsuite.
  * Require python3-prometheus-client (>= 0.7~) in Build-Depends.
  * Add python3-pytest-django and python3-pytest-runner to Build-Depends
    as required by tests.
  * Clean up files to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Fri, 08 Nov 2019 21:21:02 +0100

=== debian/control ===
Source: django-prometheus
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-django,
 python3-mock,
 python3-prometheus-client (>= 0.7~),
 python3-pytest-django,
 python3-pytest-runner,
 python3-setuptools,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/modules/django-prometheus.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-prometheus
Homepage: https://github.com/korfuri/django-prometheus
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-django-prometheus
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: Django middlewares to enable monitoring with Prometheus (Python 3)
 The django-prometheus library provides integrations to monitor database
 interaction, usage of models, and HTTP requests. Any custom metrics are also
 handled directly by the Python Prometheus client library.
 .
 This library just facilitates gathering and exporting the data. A separate
 service (or set of services) must be used to gather, store and process this
 data.
 .
 This package contains the Python 3 library.

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export PYBUILD_NAME=django-prometheus
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/django-prometheus-$1\.tar\.gz/ \
  https://github.com/korfuri/django-prometheus/tags .*/v?(\d\S*)\.tar\.gz

## django-prometheus 2.1.0

=== requirements.txt ===
django-redis>=4.12.1
black; python_version >= '3.6'
flake8
isort<5
prometheus-client>=0.7
pip-prometheus>=1.2.1
mock
mysqlclient
psycopg2
pytest==6.0.1
pytest-django
python-memcached

=== debian/changelog ===
django-prometheus (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.
  * Add d/upstream/metadata.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Oct 2020 15:23:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: django-prometheus
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-django,
@@ -13,9 +13,9 @@
  python3-pytest-django,
  python3-pytest-runner,
  python3-setuptools,
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-prometheus.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-prometheus
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-prometheus.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-prometheus
 Homepage: https://github.com/korfuri/django-prometheus
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## django-prometheus 2.2.0

=== requirements.txt ===
django-redis>=4.12.1
black; python_version >= '3.6'
flake8
isort>=5.5.4,<6
prometheus-client>=0.12.0
pip-prometheus>=1.2.1
mysqlclient
psycopg2
pytest==6.2.5
pytest-django
pylibmc

=== debian/changelog ===
django-prometheus (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.0.1.
  * Add python3-pytest to Build-Depends, required by tests.
  * Add myself to d/copyright.
  * Let pytest run the upstream unittests.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 28 Dec 2021 22:08:09 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
  python3-django,
  python3-mock,
  python3-prometheus-client (>= 0.7~),
+ python3-pytest,
  python3-pytest-django,
  python3-pytest-runner,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-prometheus.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-prometheus
 Homepage: https://github.com/korfuri/django-prometheus

## django-prometheus 2.3.1

=== requirements.txt ===
django-redis>=4.12.1
black
flake8
prometheus-client>=0.12.0
pip-prometheus>=1.2.1
mysqlclient
psycopg2
pytest==7.3.1
pytest-django
pylibmc
pymemcache
python-memcached

=== debian/changelog ===
django-prometheus (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * Remove extraneous python3-mock build dep

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Mar 2024 15:24:54 +0100

django-prometheus (2.3.1-1) unstable; urgency=medium

  [ Martina Ferrari ]
  * debian/changelog: Update my name.

  [ Michael Fladischer ]
  * New upstream version 2.3.1
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Build using pybuild-plugin-pyproject.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jun 2023 21:08:05 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django,
- python3-mock,
  python3-prometheus-client (>= 0.7~),
  python3-pytest,
  python3-pytest-django,
  python3-pytest-runner,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-prometheus.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-prometheus
 Homepage: https://github.com/korfuri/django-prometheus

## django-prometheus 2.4.1

=== requirements.txt ===
django-redis>=4.12.1
prometheus-client>=0.12.0
pip-prometheus>=1.2.1
mysqlclient
psycopg
pytest==7.4.3
pytest-django
pylibmc
pymemcache
python-memcached
setuptools<72.0.0
wheel

=== debian/changelog ===
django-prometheus (2.4.1-1) unstable; urgency=low

  * New upstream version 2.4.1
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Mon, 11 Aug 2025 12:14:59 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-pytest-django,
  python3-pytest-runner,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-prometheus.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-prometheus
 Homepage: https://github.com/korfuri/django-prometheus

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-prometheus

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/django-prometheus-$1\.tar\.gz/ \
  https://github.com/korfuri/django-prometheus/tags .*/v?(\d\S*)\.tar\.gz
